## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global pypi_name minidump

Name:           python-%{pypi_name}
Version:        0.0.21
Release:        %autorelease
Summary:        Python library to parse and read Microsoft minidump file format

License:        MIT
URL:            https://github.com/skelsec/minidump
Source0:        %pypi_source
BuildArch:      noarch

%description
A Python library to parse and read Microsoft minidump file format. Can create
minidumps on Windows machines using the windows API (implemented with ctypes).

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python library to parse and read Microsoft minidump file format. Can create
minidumps on Windows machines using the windows API (implemented with ctypes).

%package -n %{pypi_name}
Summary:        %{summary}
Requires:       python3-%{pypi_name}

%description -n %{pypi_name}
Command line tools for the Microsoft minidump file format.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove shebangs
sed -i -e '/^#!\//, 1d' %{pypi_name}/{*.py,*/*.py}
# Fix line endings
sed -i "s|\r||g" README.md

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}*.egg-info

%files -n %{pypi_name}
%doc README.md
%license LICENSE
%{_bindir}/%{pypi_name}

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 0.0.21-2
- Rebuilt for Python 3.11

* Fri Mar 04 2022 Fabian Affolter <mail@fabian-affolter.ch> 0.0.21-1
- Update to latest upstream release 0.0.21 (closes rhbz#2004750)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 30 2021 Fabian Affolter <mail@fabian-affolter.ch> 0.0.19-1
- * Mon Aug 30 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.19-1 -
  Update to latest upstream release 0.0.19 (closes rhbz#1998910)

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> 0.0.18-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.18-1 -
  Update to latest upstream release 0.0.18 (closes rhbz#1938613)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.0.13-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 0.0.13-2
- Rebuilt for Python 3.9

* Mon Mar 30 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.0.13-1
- * Mon Mar 30 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.13-1 -
  Use LICENSE file shipped in source tarball - Update to latest upstream
  release 0.0.4 (rhbz#1818642)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 12 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.0.12-1
- * Sun Jan 12 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.12-1 -
  Update to new upstream version 0.0.12

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> 0.0.6-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> 0.0.6-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 2019 Fabian Affolter <mail@fabian-affolter.ch> 0.0.6-1
- * Sat Jun 15 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.6-1 -
  Initial package for Fedora
